package com.zfire.jiasm.syncdata.exception;

import com.zfire.jiasm.syncdata.api.IResultCode;

/**
 * 产品分类相关统一错误
 * @author yaozx
 * @version 1.0
 * @description 介绍
 * @date 2022-10-04
 */
public class RoleResultCode implements IResultCode {
    /**
     * 错误 code
     */
    private Integer code;
    /**
     * 描述信息
     */
    private String message;

    public RoleResultCode (final int code, final String message) {
        this.code = code;
        this.message = message;
    }


    @Override
    public String getMessage() {
        return this.message;
    }
    @Override
    public int getCode() {
        return this.code;
    }

    /**
     * 角色不存在
     */
    public static final RoleResultCode ROLE_NOT_EXIT = new RoleResultCode(1101, "要删除的角色不存在，请与信息部人员联系！");

    /**
     * 删除角色失败
     */
    public static final  RoleResultCode ROLE_DELETE_ERROR = new RoleResultCode(1002, "删除角色失败，请重试或与信息部人员联系！");

    /**
     * 名称不能相同
     */
    public static final  RoleResultCode PARENT_ROLE_NAME_ERROR = new RoleResultCode(1003, "已存在相同名称的角色，请核实角色名称！");

    /**
     * 修改失败
     */
    public static final  RoleResultCode UPDATE_ROLE_ERROR = new RoleResultCode(1004, "角色名称修改失败，请重试！");

    /**
     * 新增失败
     */
    public static final  RoleResultCode ADD_ROLE_ERROR = new RoleResultCode(1005, "新增角色失败，请重试！");

    /**
     * 部分不存在
     */
    public static final  RoleResultCode DEPARTMENT_ROLE_NOT_EXIT = new RoleResultCode(1006, "部分不存在，请与信息部人员联系！");


}
